[regression] after update to 11.04 wireless lan interruptions and Microcode SW error detected. Restarting 0x82000000

Bug #779159 reported by HugoHirsch on 2011-05-07
82
This bug affects 16 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

After having upgraded from 10.10 to 11.04 wireless lan is working with many interruptions. This bug was fixed in 10.10 which had stabile wireless connections with the same machine.

When the network goes down these lines can be found via dmesg:
[ 123.445638] Bluetooth: L2CAP ver 2.15
[ 123.445641] Bluetooth: L2CAP socket layer initialized
[ 123.453259] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 123.453262] Bluetooth: BNEP filters: protocol multicast
[ 123.457549] Bluetooth: SCO (Voice Link) ver 0.6
[ 123.457552] Bluetooth: SCO socket layer initialized
[ 349.062190] iwlagn 0000:04:00.0: Microcode SW error detected. Restarting 0x82000000.
[ 349.062201] iwlagn 0000:04:00.0: Loaded firmware version: 228.61.2.24
[ 349.062250] iwlagn 0000:04:00.0: Queue 2 stuck for 2000 ms.
[ 349.062256] iwlagn 0000:04:00.0: Start IWL Error Log Dump:
[ 349.062263] iwlagn 0000:04:00.0: Status: 0x000213E4, count: 5
[ 349.062270] iwlagn 0000:04:00.0: On demand firmware reload
[ 349.062425] iwlagn 0000:04:00.0: Desc Time data1 data2 line
[ 349.062436] iwlagn 0000:04:00.0: NMI_INTERRUPT_WDG (0x0004) 1602044562 0x00000002 0x03630000 208
[ 349.062442] iwlagn 0000:04:00.0: pc blink1 blink2 ilink1 ilink2 hcmd
[ 349.062450] iwlagn 0000:04:00.0: 0x0046C 0x02F3E 0x004C2 0x006DE 0x02FCE 0x257001C
[ 349.062457] iwlagn 0000:04:00.0: FH register values:
[ 349.062479] iwlagn 0000:04:00.0: FH_RSCSR_CHNL0_STTS_WPTR_REG: 0X02f0d700
[ 349.062499] iwlagn 0000:04:00.0: FH_RSCSR_CHNL0_RBDCB_BASE_REG: 0X002f7c40
[ 349.062520] iwlagn 0000:04:00.0: FH_RSCSR_CHNL0_WPTR: 0X000000b0
[ 349.062539] iwlagn 0000:04:00.0: FH_MEM_RCSR_CHNL0_CONFIG_REG: 0X80819004
[ 349.062559] iwlagn 0000:04:00.0: FH_MEM_RSSR_SHARED_CTRL_REG: 0X0000003c
[ 349.062579] iwlagn 0000:04:00.0: FH_MEM_RSSR_RX_STATUS_REG: 0X03630000
[ 349.062599] iwlagn 0000:04:00.0: FH_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
[ 349.062619] iwlagn 0000:04:00.0: FH_TSSR_TX_STATUS_REG: 0X07ff0002
[ 349.062638] iwlagn 0000:04:00.0: FH_TSSR_TX_ERROR_REG: 0X00000000
[ 349.062707] iwlagn 0000:04:00.0: Start IWL Event Log Dump: display last 20 entries
[ 349.062734] iwlagn 0000:04:00.0: EVT_LOGT:1601843613:0x00000080:0313
[ 349.062751] iwlagn 0000:04:00.0: EVT_LOGT:1601843615:0x000006db:0501
[ 349.062767] iwlagn 0000:04:00.0: EVT_LOGT:1601843800:0x00000000:0320
[ 349.062784] iwlagn 0000:04:00.0: EVT_LOGT:1601843856:0x00000000:0320
[ 349.062800] iwlagn 0000:04:00.0: EVT_LOGT:1601843992:0x00000000:0320
[ 349.062817] iwlagn 0000:04:00.0: EVT_LOGT:1601844016:0x00000000:0320
[ 349.062833] iwlagn 0000:04:00.0: EVT_LOGT:1601844192:0x00000000:0320
[ 349.062849] iwlagn 0000:04:00.0: EVT_LOGT:1601844272:0x00000000:0320
[ 349.062865] iwlagn 0000:04:00.0: EVT_LOGT:1601844480:0x00000000:0320
[ 349.062881] iwlagn 0000:04:00.0: EVT_LOGT:1601844514:0x000002b3:0501
[ 349.062897] iwlagn 0000:04:00.0: EVT_LOGT:1601844525:0x00000000:0504
[ 349.062914] iwlagn 0000:04:00.0: EVT_LOGT:1601844527:0x00000000:0504
[ 349.062931] iwlagn 0000:04:00.0: EVT_LOGT:1601844527:0x13018ad1:0500
[ 349.062947] iwlagn 0000:04:00.0: EVT_LOGT:1601844528:0x13018ad1:0600
[ 349.062965] iwlagn 0000:04:00.0: EVT_LOGT:1601844529:0x00000002:0600
[ 349.062982] iwlagn 0000:04:00.0: EVT_LOGT:1601844534:0x000000c3:0310
[ 349.062998] iwlagn 0000:04:00.0: EVT_LOGT:1601844543:0x0000010d:0600
[ 349.063014] iwlagn 0000:04:00.0: EVT_LOGT:1601844552:0x000000f1:1055
[ 349.063030] iwlagn 0000:04:00.0: EVT_LOGT:1601844553:0x13018ab7:1066
[ 349.063047] iwlagn 0000:04:00.0: EVT_LOGT:1602044565:0x00000000:0125
[ 639.224750] iwlagn 0000:04:00.0: Queue 4 stuck for 2000 ms.
[ 639.224754] iwlagn 0000:04:00.0: On demand firmware reload
[ 639.225139] iwlagn 0000:04:00.0: Request scan called when driver not ready.
[ 639.972107] iwlagn 0000:04:00.0: Queue 4 stuck for 2000 ms.

lspci -k
04:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
        Subsystem: Intel Corporation PRO/Wireless 4965 AG or AGN
        Kernel driver in use: iwlagn
        Kernel modules: iwlagn

uname -a
Linux shoshin 2.6.38-8-generic-pae #42-Ubuntu SMP Mon Apr 11 05:17:09 UTC 2011 i686 i686 i386 GNU/Linux

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic-pae 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
Uname: Linux 2.6.38-8-generic-pae i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices: aplay: device_list:240: no soundcards found...
Architecture: i386
ArecordDevices: arecord: device_list:240: no soundcards found...
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D1', '/dev/snd/pcmC0D6c', '/dev/snd/pcmC0D6p', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1p', '/dev/snd/pcmC0D2c', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] Datei oder Verzeichnis nicht gefunden
Date: Sat May 7 20:34:23 2011
HibernationDevice: RESUME=UUID=83a55fc0-9766-4582-9210-0289a5f2588e
MachineType: FUJITSU SIEMENS AMILO Xi 2428
ProcEnviron:
 LANGUAGE=de_DE:de:en_GB:en
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: root=UUID=b4495984-392d-4d73-b091-2edc40b3a8b4 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic-pae N/A
 linux-backports-modules-2.6.38-8-generic-pae N/A
 linux-firmware 1.52
SourcePackage: linux
StagingDrivers: lirc_ite8709
UpgradeStatus: Upgraded to natty on 2011-05-02 (4 days ago)
WpaSupplicantLog:

dmi.bios.date: 07/10/2008
dmi.bios.vendor: Phoenix
dmi.bios.version: 1.14C
dmi.board.name: F40
dmi.board.vendor: FUJITSU SIEMENS
dmi.board.version: 00030D0055017031
dmi.chassis.type: 10
dmi.chassis.vendor: FUJITSU SIEMENS
dmi.modalias: dmi:bvnPhoenix:bvr1.14C:bd07/10/2008:svnFUJITSUSIEMENS:pnAMILOXi2428:pvr:rvnFUJITSUSIEMENS:rnF40:rvr00030D0055017031:cvnFUJITSUSIEMENS:ct10:cvr:
dmi.product.name: AMILO Xi 2428
dmi.sys.vendor: FUJITSU SIEMENS

HugoHirsch (ubuntubugs-aiki-it) wrote :
summary: [regression] after update to 11.04 wireless lan interruptions and
+ Microcode SW error detected. Restarting 0x82000000
rix (focardi) wrote :

Same problem here on a Toshiba Portege laptop with the same adapter:

02:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
 Subsystem: Intel Corporation PRO/Wireless 4965 AG or AGN
 Kernel driver in use: iwlagn
 Kernel modules: iwlagn

I've upgraded from lts (10.04) so I didn't experience this bug before.

Brad Figg (brad-figg) on 2011-05-11
Changed in linux (Ubuntu):
status: New → Confirmed
Download full text (3.7 KiB)

Same problem with my DELL Latitude D630c:

0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

==CUT
[ 4427.218194] iwlagn 0000:0c:00.0: Microcode SW error detected. Restarting 0x2000000.
[ 4427.218206] iwlagn 0000:0c:00.0: Loaded firmware version: 228.61.2.24
[ 4427.218227] iwlagn 0000:0c:00.0: Start IWL Error Log Dump:
[ 4427.218233] iwlagn 0000:0c:00.0: Status: 0x000213E4, count: 5
[ 4427.218412] iwlagn 0000:0c:00.0: Desc Time data1 data2 line
[ 4427.218423] iwlagn 0000:0c:00.0: SYSASSERT (0x0005) 0000002095 0x00000001 0x00000000 1384
[ 4427.218429] iwlagn 0000:0c:00.0: pc blink1 blink2 ilink1 ilink2 hcmd
[ 4427.218437] iwlagn 0000:0c:00.0: 0x021AC 0x0217A 0x021C2 0x006DE 0x00000 0x4DE004E
[ 4427.218443] iwlagn 0000:0c:00.0: FH register values:
[ 4427.218465] iwlagn 0000:0c:00.0: FH_RSCSR_CHNL0_STTS_WPTR_REG: 0X036fbf00
[ 4427.218485] iwlagn 0000:0c:00.0: FH_RSCSR_CHNL0_RBDCB_BASE_REG: 0X00d72940
[ 4427.218505] iwlagn 0000:0c:00.0: FH_RSCSR_CHNL0_WPTR: 0X00000030
[ 4427.218523] iwlagn 0000:0c:00.0: FH_MEM_RCSR_CHNL0_CONFIG_REG: 0X80819004
[ 4427.218542] iwlagn 0000:0c:00.0: FH_MEM_RSSR_SHARED_CTRL_REG: 0X0000003c
[ 4427.218561] iwlagn 0000:0c:00.0: FH_MEM_RSSR_RX_STATUS_REG: 0X07030000
[ 4427.218579] iwlagn 0000:0c:00.0: FH_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
[ 4427.218598] iwlagn 0000:0c:00.0: FH_TSSR_TX_STATUS_REG: 0X07ff0002
[ 4427.218617] iwlagn 0000:0c:00.0: FH_TSSR_TX_ERROR_REG: 0X00000000
[ 4427.218795] iwlagn 0000:0c:00.0: Start IWL Event Log Dump: display last 20 entries
[ 4427.218821] iwlagn 0000:0c:00.0: EVT_LOGT:3927467970:0x0000043e:1074
[ 4427.218837] iwlagn 0000:0c:00.0: EVT_LOGT:0000000008:0x000001c0:1005
[ 4427.218853] iwlagn 0000:0c:00.0: EVT_LOGT:0000000009:0x00000000:1208
[ 4427.218869] iwlagn 0000:0c:00.0: EVT_LOGT:0000000012:0x00000073:1209
[ 4427.218885] iwlagn 0000:0c:00.0: EVT_LOGT:0000000027:0x0000240e:1062
[ 4427.218901] iwlagn 0000:0c:00.0: EVT_LOGT:0000000031:0x00018fe1:1064
[ 4427.218916] iwlagn 0000:0c:00.0: EVT_LOGT:0000000032:0x00018fe0:1073
[ 4427.218932] iwlagn 0000:0c:00.0: EVT_LOGT:0000000037:0x00000001:1208
[ 4427.218947] iwlagn 0000:0c:00.0: EVT_LOGT:0000000048:0x11111111:1110
[ 4427.218963] iwlagn 0000:0c:00.0: EVT_LOGT:0000000065:0xef9a003b:0454
[ 4427.218979] iwlagn 0000:0c:00.0: EVT_LOGT:0000000066:0x00000000:0472
[ 4427.218994] iwlagn 0000:0c:00.0: EVT_LOGT:0000000072:0x00000006:0463
[ 4427.219010] iwlagn 0000:0c:00.0: EVT_LOGT:0000000074:0x00ffef9a:1111
[ 4427.219026] iwlagn 0000:0c:00.0: EVT_LOGT:0000000075:0x00000000:0651
[ 4427.219041] iwlagn 0000:0c:00.0: EVT_LOGT:0000000076:0x0000015b:0103
[ 4427.219057] iwlagn 0000:0c:00.0: EVT_LOGT:0000000170:0x0001008b:0250
[ 4427.219073] iwlagn 0000:0c:00.0: EVT_LOGT:0000000173:0x0000010f:0217
[ 4427.219088] iwlagn 0000:0c:00.0: EVT_LOGT:0000000175:0x020e001c:0218
[ 4427.219104] iwlagn 0000:0c:00.0: EVT_LOGT:0000002094:0x04de004e:0401
[ 4427.219120] iwlagn 0000:0c:00.0: EVT_LOGT:0000002098:0x00000000:0125
[ 4427.71006...

Read more...

By the way, this is happening only on a WPA TKIP ENTERPRISE with users being authenticated against radius. Wifi infrastructure is all cisco, and it's a university campus network so plenty of other users running all sort of other devices without problems.

If i boot with windows 7, i can get a stable connection.

At home with WPA-PSK, it works fine.

Regards

Please, give some attention to this... A stable wifi connection is of extreme importance nowadays.

gallit (gallit) wrote :

Had to return back to Windows...
:(
My laptop is a Packard Bell with an Intel 4965.

A read a post from a fedora user who has found a workaround by building driver with experimental firmware.
I don't know what kind of hack is that, if someone can tell more about it.

I also noticed that the bug does not occur when wifi signal is excellent.

Maharifu (mail-lmcarvalho) wrote :

Hi,

I'm having the same problem. I can confirm that this happens only on a WPA TKIP ENTERPRISE network. At home, with a WPA-PSK network everything works fine.

Teemu Mäki (teukkam) wrote :

It's not quite that straightforward. I have this happening on a WPA PSK encrypted network at home. It does seems to happen less often when the laptop is in straight line of sight with a strong signal. My laptop is a HP Compaq 8510w with Intel 4965AGN Wi-Fi.

rix (focardi) wrote :

I confirm it happens on a WPA PSK encrypted network. It's pretty frequent, in fact :(

Having the same problem on a Thinkpad T61 with an Intel Corporation PRO/Wireless 4965 AGN card. It disconnects from time to time... It seems gallit is right about the bug not occuring when wifi signal is good. I'm in a house with poor signal here and it's impossible to stay connected more than 5 minutes, while in my house with good signal it's a bit more stable.

rix (focardi) wrote :

I've downgraded to the previous firmware and it's working so far (for about 3-4 days in a row). Here is a short howto:

1) download the previous firmware version from http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-4965-ucode-228.57.2.23.tgz
2) rename your actual firmware /lib/firmware/iwlwifi-4965-2.ucode to something else (e.g. /lib/firmware/iwlwifi-4965-2.ucode.copy), just in case ...
3) unpack the tar and copy the firmware iwlwifi-4965-2.ucode into /lib/firmware/iwlwifi-4965-2.ucode
4) restart the wireless module:
  sudo rmmod iwlagn
  sudo modprobe iwlagn
5) check that the new firmware has been successfully loaded:
  dmesg | grep firmware
  [105935.317633] iwlagn 0000:02:00.0: loaded firmware version 228.57.2.23

Cheers

asep mulyadi (asmul72) wrote :

Thx, Its work on my dell vostro 1200

Vadim Peretokin (vperetokin) wrote :
Download full text (3.5 KiB)

Getting this annoyance:

Oct 6 09:41:11 vadi-11 kernel: [171863.122215] iwlagn 0000:0c:00.0: Stopping AGG while state not ON or starting
Oct 6 09:41:11 vadi-11 kernel: [171863.162645] cfg80211: All devices are disconnected, going to restore regulatory settings
Oct 6 09:41:11 vadi-11 kernel: [171863.162653] cfg80211: Restoring regulatory settings
Oct 6 09:41:11 vadi-11 kernel: [171863.162660] cfg80211: Calling CRDA to update world regulatory domain
Oct 6 09:41:11 vadi-11 kernel: [171863.328530] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom regulatory domain
Oct 6 09:41:11 vadi-11 kernel: [171863.328535] cfg80211: World regulatory domain updated:
Oct 6 09:41:11 vadi-11 kernel: [171863.328536] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Oct 6 09:41:11 vadi-11 kernel: [171863.328539] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 6 09:41:11 vadi-11 kernel: [171863.328542] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Oct 6 09:41:11 vadi-11 kernel: [171863.328544] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Oct 6 09:41:11 vadi-11 kernel: [171863.328547] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 6 09:41:11 vadi-11 kernel: [171863.328549] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 6 09:41:13 vadi-11 kernel: [171864.917069] wlan0: authenticate with e0:46:9a:6c:b6:06 (try 1)
Oct 6 09:41:13 vadi-11 kernel: [171864.978566] wlan0: authenticated
Oct 6 09:41:13 vadi-11 kernel: [171864.978644] wlan0: associate with e0:46:9a:6c:b6:06 (try 1)
Oct 6 09:41:13 vadi-11 kernel: [171865.170245] wlan0: associate with e0:46:9a:6c:b6:06 (try 2)
Oct 6 09:41:13 vadi-11 kernel: [171865.370282] wlan0: associate with e0:46:9a:6c:b6:06 (try 3)
Oct 6 09:41:13 vadi-11 kernel: [171865.570234] wlan0: association with e0:46:9a:6c:b6:06 timed out
Oct 6 09:41:24 vadi-11 kernel: [171876.594738] wlan0: authenticate with e0:46:9a:6c:b6:06 (try 1)
Oct 6 09:41:24 vadi-11 kernel: [171876.703951] wlan0: authenticated
Oct 6 09:41:24 vadi-11 kernel: [171876.704023] wlan0: waiting for beacon from e0:46:9a:6c:b6:06
Oct 6 09:41:28 vadi-11 kernel: [171880.049887] wlan0: authenticate with e0:46:9a:6c:b6:06 (try 1)
Oct 6 09:41:28 vadi-11 kernel: [171880.134502] wlan0: authenticated
Oct 6 09:41:28 vadi-11 kernel: [171880.134574] wlan0: waiting for beacon from e0:46:9a:6c:b6:06
Oct 6 09:41:39 vadi-11 kernel: [171891.738954] wlan0: authenticate with e0:46:9a:6c:b6:06 (try 1)
Oct 6 09:41:39 vadi-11 kernel: [171891.757430] wlan0: authenticated
Oct 6 09:41:39 vadi-11 kernel: [171891.757466] wlan0: waiting for beacon from e0:46:9a:6c:b6:06
Oct 6 09:41:51 vadi-11 kernel: [171903.421018] wlan0: authenticate with e0:46:9a:6c:b6:06 (try 1)
Oct 6 09:41:51 vadi-11 kernel: [171903.443955] wlan0: authenticated
Oct 6 09:41:51 vadi-11 kernel: [171903.443992] wlan0: waiting for beacon from e0:46:9a:6c:b6:06
Oct 6 09:41:51 vadi-11 kernel: [171903.540386] wlan0: beacon received
Oct 6 09:41:51 vadi-11 kernel: [171903.570095] wlan0: associate with...

Read more...

HugoHirsch, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

tags: added: needs-upstream-testing regression-release
removed: regression
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Just installed 12.04 - no problem with wireless device anymore.
Linux hostname 3.2.0-21-generic #34-Ubuntu SMP Fri Mar 30 04:25:35 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

HugoHirsch, this bug report is being closed due to your last comment regarding this being fixed with an update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Incomplete → Invalid

Same problem with 12.04LTS again and
Linux shoshin 3.2.0-26-generic #41-Ubuntu SMP Thu Jun 14 17:49:24 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Log output is:

[ 1170.763398] iwl4965 0000:04:00.0: Microcode SW error detected. Restarting 0x82000000.
[ 1170.763406] iwl4965 0000:04:00.0: Loaded firmware version: 228.61.2.24
[ 1170.763425] iwl4965 0000:04:00.0: Start IWL Error Log Dump:
[ 1170.763431] iwl4965 0000:04:00.0: Status: 0x000213E4, count: 5
[ 1170.763602] iwl4965 0000:04:00.0: Desc Time data1 data2 line
[ 1170.763608] iwl4965 0000:04:00.0: NMI_INTERRUPT_WDG (0x0004) 2925211225 0x00000002 0x03630000 208
[ 1170.763612] iwl4965 0000:04:00.0: pc blink1 blink2 ilink1 ilink2 hcmd
[ 1170.763616] iwl4965 0000:04:00.0: 0x0046C 0x04BE0 0x004C2 0x006DE 0x04C86 0x2DA001C
[ 1170.763619] iwl4965 0000:04:00.0: FH register values:
[ 1170.763635] iwl4965 0000:04:00.0: FH_RSCSR_CHNL0_STTS_WPTR_REG: 0X1383f000
[ 1170.763650] iwl4965 0000:04:00.0: FH_RSCSR_CHNL0_RBDCB_BASE_REG: 0X01364f50
[ 1170.763665] iwl4965 0000:04:00.0: FH_RSCSR_CHNL0_WPTR: 0X000000e8
[ 1170.763681] iwl4965 0000:04:00.0: FH_MEM_RCSR_CHNL0_CONFIG_REG: 0X80819000
[ 1170.763695] iwl4965 0000:04:00.0: FH_MEM_RSSR_SHARED_CTRL_REG: 0X0000003c
[ 1170.763710] iwl4965 0000:04:00.0: FH_MEM_RSSR_RX_STATUS_REG: 0X03630000
[ 1170.763725] iwl4965 0000:04:00.0: FH_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
[ 1170.763739] iwl4965 0000:04:00.0: FH_TSSR_TX_STATUS_REG: 0X07ff0002
[ 1170.763754] iwl4965 0000:04:00.0: FH_TSSR_TX_ERROR_REG: 0X00000000
[ 1170.768017] iwl4965 0000:04:00.0: Failing on timeout while stopping DMA channel 1 [0x07fd0002]
[ 1170.776459] ieee80211 phy0: Hardware restart was requested

Changed in linux (Ubuntu):
status: Invalid → New
Brad Figg (brad-figg) on 2012-07-21
Changed in linux (Ubuntu):
status: New → Confirmed

HugoHirsch, is it that https://bugs.launchpad.net/ubuntu/+source/linux/+bug/779159/comments/15 actually still had the bug but you did not give it enough time to show itself?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

It's possible that the bug still existed at the time of writing https://bugs.launchpad.net/ubuntu/+source/linux/+bug/779159/comments/15

Currently it seems to happen more often and it sometimes blocks the machine from shutting down.

HugoHirsch, if you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Daluis (daluis) wrote :

Hi guys,

Would it be possible to re-open this bug and get to the bottom of it?
I have got a laptop that I have just upgraded from 10.04 to 12.04 and the exact same bug appeared. I keep being disconnected from my wireless network (WPA protected).
I am happy to spend the time needed to help solving this bug.
Could the developper in charge of this bug contact me please?

Thanks a lot in advance.
BR,

David

Needs testing with upstream kernels before anything more can be done. Thanks in advance!

Changed in linux (Ubuntu):
status: Expired → Incomplete
Daluis (daluis) wrote :

Hi guys,

I have just tested with the daily release of upstream kernel:
$ uname -a
Linux david-M720R 3.6.0-999-generic #201210050420 SMP Fri Oct 5 08:29:10 UTC 2012 i686 i686 i386 GNU/Linux

The problem is still there:
$ dmesg
[ 3428.421909] iwl4965 0000:02:00.0: Microcode SW error detected. Restarting 0x82000000.
[ 3428.421922] iwl4965 0000:02:00.0: Loaded firmware version: 228.61.2.24
[ 3428.421944] iwl4965 0000:02:00.0: Start IWL Error Log Dump:
[ 3428.421951] iwl4965 0000:02:00.0: Status: 0x000213E4, count: 5
[ 3428.422183] iwl4965 0000:02:00.0: Desc Time data1 data2 line
[ 3428.422194] iwl4965 0000:02:00.0: NMI_INTERRUPT_WDG (0x0004) 2236129641 0x00000002 0x03630000 208
[ 3428.422200] iwl4965 0000:02:00.0: pc blink1 blink2 ilink1 ilink2 hcmd
[ 3428.422208] iwl4965 0000:02:00.0: 0x0046C 0x02F3E 0x004C2 0x006DE 0x02FCE 0x4BA00A8
[ 3428.422215] iwl4965 0000:02:00.0: FH register values:
[ 3428.422236] iwl4965 0000:02:00.0: FH49_RSCSR_CHNL0_STTS_WPTR_REG: 0X026c7d00
[ 3428.422255] iwl4965 0000:02:00.0: FH49_RSCSR_CHNL0_RBDCB_BASE_REG: 0X000fa6d0
[ 3428.422275] iwl4965 0000:02:00.0: FH49_RSCSR_CHNL0_WPTR: 0X000000b8
[ 3428.422295] iwl4965 0000:02:00.0: FH49_MEM_RCSR_CHNL0_CONFIG_REG: 0X80819000
[ 3428.422315] iwl4965 0000:02:00.0: FH49_MEM_RSSR_SHARED_CTRL_REG: 0X0000003c
[ 3428.422334] iwl4965 0000:02:00.0: FH49_MEM_RSSR_RX_STATUS_REG: 0X03630000
[ 3428.422354] iwl4965 0000:02:00.0: FH49_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
[ 3428.422374] iwl4965 0000:02:00.0: FH49_TSSR_TX_STATUS_REG: 0X07ff0003
[ 3428.422393] iwl4965 0000:02:00.0: FH49_TSSR_TX_ERROR_REG: 0X00000000
[ 3428.423576] iwl4965 0000:02:00.0: Queue 4 stuck for 13112 ms.
[ 3428.423583] iwl4965 0000:02:00.0: On demand firmware reload
[ 3428.427573] ieee80211 phy0: Hardware restart was requested

I have just updated the tags accordingly:
- removed 'needs-upstream-testing'
- added 'kernel-bug-exists-upstream'

BR,
David

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing

Daluis, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
Daluis (daluis) wrote :

Done. Bug report #1064301 has been created.
Cheers, David

relgames (relgames) wrote :
Download full text (8.4 KiB)

Hi, the bug is still not fixed in 12.04

Dec 3 16:49:52 rgwork kernel: [25273.396527] iwlwifi 0000:0c:00.0: Microcode SW error detected. Restarting 0x2000000.
Dec 3 16:49:52 rgwork kernel: [25273.396540] iwlwifi 0000:0c:00.0: Loaded firmware version: 8.83.5.1 build 33692
Dec 3 16:49:52 rgwork kernel: [25273.396630] iwlwifi 0000:0c:00.0: Start IWL Error Log Dump:
Dec 3 16:49:52 rgwork kernel: [25273.396638] iwlwifi 0000:0c:00.0: Status: 0x000412E4, count: 5
Dec 3 16:49:52 rgwork kernel: [25273.396646] iwlwifi 0000:0c:00.0: 0x00000016 | NMI_INTERRUPT_TRM
Dec 3 16:49:52 rgwork kernel: [25273.396653] iwlwifi 0000:0c:00.0: 0x000006E4 | uPc
Dec 3 16:49:52 rgwork kernel: [25273.396660] iwlwifi 0000:0c:00.0: 0x000005AA | branchlink1
Dec 3 16:49:52 rgwork kernel: [25273.396666] iwlwifi 0000:0c:00.0: 0x00000776 | branchlink2
Dec 3 16:49:52 rgwork kernel: [25273.396673] iwlwifi 0000:0c:00.0: 0x00000916 | interruptlink1
Dec 3 16:49:52 rgwork kernel: [25273.396679] iwlwifi 0000:0c:00.0: 0x0000D616 | interruptlink2
Dec 3 16:49:52 rgwork kernel: [25273.396686] iwlwifi 0000:0c:00.0: 0x00000040 | data1
Dec 3 16:49:52 rgwork kernel: [25273.396692] iwlwifi 0000:0c:00.0: 0x07030000 | data2
Dec 3 16:49:52 rgwork kernel: [25273.396698] iwlwifi 0000:0c:00.0: 0x00000E84 | line
Dec 3 16:49:52 rgwork kernel: [25273.396704] iwlwifi 0000:0c:00.0: 0x25001E25 | beacon time
Dec 3 16:49:52 rgwork kernel: [25273.396711] iwlwifi 0000:0c:00.0: 0xC24311DB | tsf low
Dec 3 16:49:52 rgwork kernel: [25273.396717] iwlwifi 0000:0c:00.0: 0x00000065 | tsf hi
Dec 3 16:49:52 rgwork kernel: [25273.396723] iwlwifi 0000:0c:00.0: 0x00000000 | time gp1
Dec 3 16:49:52 rgwork kernel: [25273.396730] iwlwifi 0000:0c:00.0: 0x8B935A64 | time gp2
Dec 3 16:49:52 rgwork kernel: [25273.396736] iwlwifi 0000:0c:00.0: 0x00000000 | time gp3
Dec 3 16:49:52 rgwork kernel: [25273.396742] iwlwifi 0000:0c:00.0: 0x00010853 | uCode version
Dec 3 16:49:52 rgwork kernel: [25273.396749] iwlwifi 0000:0c:00.0: 0x00000024 | hw version
Dec 3 16:49:52 rgwork kernel: [25273.396755] iwlwifi 0000:0c:00.0: 0x00480302 | board version
Dec 3 16:49:52 rgwork kernel: [25273.396762] iwlwifi 0000:0c:00.0: 0x64708E60 | hcmd
Dec 3 16:49:52 rgwork kernel: [25273.396767] iwlwifi 0000:0c:00.0: CSR values:
Dec 3 16:49:52 rgwork kernel: [25273.396773] iwlwifi 0000:0c:00.0: (2nd byte of CSR_INT_COALESCING is CSR_INT_PERIODIC_REG)
Dec 3 16:49:52 rgwork kernel: [25273.396806] iwlwifi 0000:0c:00.0: CSR_HW_IF_CONFIG_REG: 0X00480302
Dec 3 16:49:52 rgwork kernel: [25273.396838] iwlwifi 0000:0c:00.0: CSR_INT_COALESCING: 0X0000ff40
Dec 3 16:49:52 rgwork kernel: [25273.396870] iwlwifi 0000:0c:00.0: CSR_INT: 0X00000000
Dec 3 16:49:52 rgwork kernel: [25273.396901] iwlwifi 0000:0c:00.0: CSR_INT_MASK: 0X00000000
Dec 3 16:49:52 rgwork kernel: [25273.396932] iwlwifi 0000:0c:00.0: CSR_FH_INT_STATUS: 0X00000000
Dec 3 16:49:52 rgwork kernel: [25273.396964] iwlwifi 0000:0c:00.0: CSR_GPIO_IN: 0X00000000
Dec 3 16:49:52 rgwork kernel: [25273.396995] iwlwifi 0000:0c:00.0: CSR_RESET: 0X00000000
Dec 3 16:49:52 rgwork kernel: [...

Read more...

relgames, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

I'm currently not able to reproduce the bug since my machine died.

Can anyone of the 13 people that are affected by this bug either reopen the bug or confirm that it's expired or solved.

herve (rv-mart1) on 2013-04-21
Changed in linux (Ubuntu):
status: Expired → New
herve (rv-mart1) wrote :
Download full text (4.7 KiB)

Running Ubuntu 12.04 I'm facing to this bug too on a regular base:

dmesh | grep "SW error"
==>
[79153.416131] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79154.114339] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79182.601542] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79210.393437] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79239.639635] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79271.724168] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79305.377365] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x2000000.
[79556.166466] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79581.053733] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79621.110023] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x2000000.
[79656.511322] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79693.461862] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79731.628843] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79770.989061] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79810.106815] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79848.813199] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x2000000.
[79886.355233] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79925.156145] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[79964.960656] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80004.916408] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80041.439102] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x2000000.
[80114.354849] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80116.112521] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80156.078380] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80199.550325] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80236.945657] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80277.606785] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80318.433224] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80358.833199] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80400.162497] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80437.868621] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80479.276478] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80519.363035] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80561.013492] iwlwifi 0000:25:00.0: Microcode SW error detected. Restarting 0x82000000.
[80600.076921] iwlwifi 0000:25:00.0: Microcode S...

Read more...

Changed in linux (Ubuntu):
status: New → Confirmed

HugoHirsch, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/779159/comments/30 regarding how your hardware died. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

herve martin, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Invalid
herve (rv-mart1) wrote :

I have opened Bug #1171257 to follow up about this issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers